﻿package  {
	
	import flash.display.MovieClip;
	import flash.system.Capabilities;
	import flash.events.Event;
	
	
	public class WhatToSupport extends MovieClip {
		
		public function WhatToSupport() {
			// constructor code
			this.addEventListener(Event.ADDED_TO_STAGE, DetermineCapabilities); 
		}
		
		private function DetermineCapabilities(e:Event)
		{
			SetEnabledOrDisabled(Capabilities.avHardwareDisable, cameraMicrophone);
			SetEnabledOrDisabled(Capabilities.hasAccessibility, accessibility);
			SetEnabledOrDisabled(Capabilities.hasAudio, audioPlayback);
			SetEnabledOrDisabled(Capabilities.hasAudioEncoder, encodingAudio);
			SetEnabledOrDisabled(Capabilities.hasEmbeddedVideo, embeddedVideo);
			SetEnabledOrDisabled(Capabilities.hasIME, imeInstalled);
			SetEnabledOrDisabled(Capabilities.hasMP3, mp3decoder);
			SetEnabledOrDisabled(Capabilities.hasPrinting, printing);
			SetEnabledOrDisabled(Capabilities.hasScreenBroadcast, screenbroadcast);
			SetEnabledOrDisabled(Capabilities.hasScreenPlayback, screenplayback);
			SetEnabledOrDisabled(Capabilities.hasStreamingAudio, streamingAudio);
			SetEnabledOrDisabled(Capabilities.hasStreamingVideo, streamingVideo);
			SetEnabledOrDisabled(Capabilities.hasTLS, sslSockets);
			SetEnabledOrDisabled(Capabilities.hasVideoEncoder, encodingVideo);
			SetEnabledOrDisabled(Capabilities.isDebugger, debugVersion);
			SetEnabledOrDisabled(Capabilities.isEmbeddedInAcrobat, embeddedPDF);
			SetEnabledOrDisabled(Capabilities.localFileReadDisable, hardDrive);
			SetEnabledOrDisabled(Capabilities.supports32BitProcesses, thirtyTwoBit);
			SetEnabledOrDisabled(Capabilities.supports64BitProcesses, sixtyFourBit);
			
			touchScreen.text = Capabilities.touchscreenType;
			flashVersion.text = Capabilities.version;
			cpu.text = Capabilities.cpuArchitecture;
			language.text = Capabilities.language;
			manufacturer.text = Capabilities.manufacturer;
			h264idc.text = Capabilities.maxLevelIDC;
			osValue.text = Capabilities.os;
			pixelaspectratio.text = Capabilities.pixelAspectRatio.toString();
			runtimeEnvironment.text = Capabilities.playerType;
			screenColor.text = Capabilities.screenColor;
			screenDPI.text = Capabilities.screenDPI.toString();
			horizontalResolution.text = Capabilities.screenResolutionX.toString();
			verticalResolution.text = Capabilities.screenResolutionY.toString();
		}
		
		private function SetEnabledOrDisabled(supported:Boolean, yesOrNoInstance:MovieClip)
		{
			if (supported)
			{
				yesOrNoInstance.gotoAndStop(1);
			}
			else
			{
				yesOrNoInstance.gotoAndStop(2);
			}
		}
	}
	
}
